Update a specific segment - Fabric
Update a specific segment
cURL
curl --request PUT \
--url https://live.copilot.fabric.inc/api-offers/segment/{segmentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"name": "Customer Type",
"value": [\
"High Spender"\
]
}
'
Python
import requests
url = "https://live.copilot.fabric.inc/api-offers/segment/{segmentId}"
payload = {
"name": "Customer Type",
"value": ["High Spender"]
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'PUT',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'Customer Type', value: ['High Spender']})
};
fetch('https://live.copilot.fabric.inc/api-offers/segment/{segmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response
Success (200)
{
"_id": "614b58924e92f6861ac9d43b",
"segmentId": 100002,
"name": "Customer Type",
"value": [
"High Spender"
],
"deleted": false,
"createdAt": "2020-12-14T12:15:43.646Z",
"updatedAt": "2021-12-14T12:15:43.646Z"
}
Error Responses
400 - Bad Request
{
"code": "SEGMENT_NAME_EXISTS",
"message": "Segment name already exists."
}
404 - Not Found
{
"code": "SEGMENT_NOT_FOUND",
"message": "No segment with this Id is found."
}
500 - Internal Server Error
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error."
}
Authorizations
- Authorization:
Bearer <token>- Bearer authentication header of the formBearer <token>, where<token>is your auth token.
Headers
- x-site-context: required - A JSON object containing account, channel, stage, and date attributes for the source data.
Path Parameters
- segmentId: required - ID of the segment to be updated.